//*****************************
//* Debugging
//*****************************
//* Jrgen Birkler
//* May 2000
//*****************************

#ifndef __DEBUG_H__
#define __DEBUG_H__

#include "printf_P.h"

#define DEBUG_PRINT_(str) dbg_printf(str)
//#define DEBUG_PRINT_(str)

#define DEBUG_PRINT_INFO_(str) DEBUG_PRINT_(str)
#define DEBUG_PRINT_ERROR_(str) DEBUG_PRINT_(str)
#define DEBUG_STRING_(frm,str) dbg_printf(ptr,str)
#define DEBUG_DECIMAL_(var) dbg_printf("\r\n"#var":%d",var)
#define DEBUG_HEX_(var) dbg_printf("\r\n"#var":%x",var)


#if ((DEBUG_ASSERT_ENABLE_) == (1))
#include "monitor.h"
#define DEBUG_ASSERT_(_cond) {if (!(_cond)) {dbg_printf("'"#_cond"' "__FILE__"@%d",__LINE__);TRAP();}}
#else
#define DEBUG_ASSERT_(_cond)
#endif //DEBUG_ASSERT_ENABLE_


#if defined(DEBUG_DEBUGGER_)
#ifndef cli
#error "Include debug.h last"
#endif //cli
#undef cli
#define cli()
#undef sei
#define sei()
#endif //defined(DEBUG_DEBUGGER_)





#endif //__DEBUG_H__

